#
# (c)2005 LIRIS - University Claude Bernard Lyon 1
# http://liris.cnrs.fr/
#
# Author: Pierre-Antoine CHAMPIN
# http://champin.net/
#
# This software is distributed under the terms of the GNU LGPL v2.1.
# See LICENSE.txt for more details.
#

"""
Harold is a general purpose library.

@var lightweight: controls the behaviour of the L{harold.prog} package.

    Setting it to C{True} B{I{before}} importing any Harold package (as well as
    any package which imports Harold packages) will reduce the memory footprint
    and CPU cost of L{harold.prog}, by disabling some functionnalities. For
    more detail, see L{harold.prog}.

    This can also be set externally by setting the HAROLD_LIGHTWEIGHT
    environment variable.


@group Miscellaneous toolboxes: utesttools callabletools
"""

VERSION = "0.1.1"

import os

lightweight = os.environ.has_key('HAROLD_LIGHTWEIGHT')
