#!/usr/bin/env python

#
# (c)2005 LIRIS - University Claude Bernard Lyon 1
# http://liris.cnrs.fr/
#
# Author: Pierre-Antoine CHAMPIN
# http://champin.net/
#
# This software is distributed under the terms of the GNU LGPL v2.1.
# See LICENSE.txt for more details.
#

from distutils.core import setup

from harold import VERSION

setup(name =        'harold',
      version =     VERSION,
      description = 'Advanced programming in Python',
      author =      'Pierre-Antoine Champin',
      author_email ='harold@champin.net',
      url =         'http://champin.net/dev/harold/',

      packages = [
        'harold',
        'harold.prog',
        'harold.prog.abstract',
        'harold.prog.interface',
        'harold.prog.namespace',
      ],
      long_description = """

Harold is a python library intented to provide high-level programming
constructs (such as interfaces, abstract classes, etc.) and state-of-the-art
data structures and algorithms.

For the moment, it mainly provides the "programming construct" part,
implemented in the harold.prog package.

"""
     )
