#!/usr/bin/python2.4

#
# (c)2005 LIRIS - University Claude Bernard Lyon 1
# http://liris.cnrs.fr/
#
# Author: Pierre-Antoine CHAMPIN
# http://champin.net/
#
# This software is distributed under the terms of the GNU LGPL v2.1.
# See LICENSE.txt for more details.
#

import harold

from os      import listdir
from os.path import dirname, join
import              unittest

utest_dir_path = dirname (__file__)
modules = []
for f in listdir (utest_dir_path):
    f,ext = f[:-3],f[-3:]
    if ext == '.py' and f[0] != '_' and f != 'ALL':
        m = __import__ ("utest.%s" % f, globals())
        modules.append (getattr (m, f))

suite = unittest.TestSuite ()

for m in modules:
    #print "Loading tests from %s..." % m.__name__
    for n in dir(m):
        if n.startswith ("Test"):
            #print "    %s" % n
            t = getattr (m, n)
            if issubclass (t, unittest.TestSuite):
                suite.addTest (t())
            elif issubclass (t, unittest.TestCase):
                suite.addTest (unittest.makeSuite (t))
            else:
                #print "        SKIPPING", `t`
                pass

if __name__ == "__main__":
    unittest.main ("__main__", "suite")
