#!/usr/bin/python2.4

#
# (c)2005 LIRIS - University Claude Bernard Lyon 1
# http://liris.cnrs.fr/
#
# Author: Pierre-Antoine CHAMPIN
# http://champin.net/
#
# This software is distributed under the terms of the GNU LGPL v2.1.
# See LICENSE.txt for more details.
#

from harold.prog import HaroldClass

import unittest

from utest import abstract, deftracker, interface, namespace

class TestHaroldClass (unittest.TestSuite):
    def __init__ (self):
        super (TestHaroldClass, self).__init__ (self)
        for m in (
                abstract,
                deftracker,
                interface,
                namespace,
        ):
            for n in dir(m):
                if n.startswith ("TestMc"):
                    self.addTest (unittest.makeSuite (getattr (m, n)))

    def run (self, *args, **kw):
        mem = {}
        for m in abstract, deftracker, interface, namespace:
            mem[m] = m.metaclass_to_test
            m.metaclass_to_test = HaroldClass

        super (TestHaroldClass, self).run(*args, **kw)

        for m,mc in mem.iteritems():
            m.metaclass_to_test = mc

if __name__ == "__main__":
    unittest.main ("__main__", "TestHaroldClass")
